FIX: Correct the packagecloud.io URL path 86/15386/2
authorPeter Mikus <pmikus@cisco.com>
Thu, 18 Oct 2018 11:55:31 +0000 (11:55 +0000)
committerVratko Polak <vrpolak@cisco.com>
Fri, 19 Oct 2018 11:44:58 +0000 (11:44 +0000)
Change-Id: I8aae4cb85f9bb1efaa19d75e2fd7c9593f20756d
Signed-off-by: Peter Mikus <pmikus@cisco.com>
(cherry picked from commit e44edcedef4dd2fee1c21b122b4bc6bb8586598e)

bootstrap-vpp-verify-nightly.sh
bootstrap-vpp-verify-semiweekly.sh
bootstrap-vpp-verify-weekly.sh
bootstrap.sh
resources/libraries/bash/function/artifacts.sh

index cc2b364..8f47ff0 100644 (file)
@@ -55,6 +55,7 @@ else
     # Download the latest VPP build install packages
     rm -f *.${PACKAGE}
     echo Downloading VPP packages...
+    CSIT_DIR=${SCRIPT_DIR}
     source "${SCRIPT_DIR}/resources/libraries/bash/function/artifacts.sh"
     download_artifacts
     # Need to revert -euo as the rest of script is not optimized for this.
index ecc7114..f8b6f34 100644 (file)
@@ -65,6 +65,7 @@ if [ "${#}" -ne "0" ]; then
     echo ${arr[0]}
 else
     # Download the latest VPP build install packages
+    CSIT_DIR=${SCRIPT_DIR}
     source "${SCRIPT_DIR}/resources/libraries/bash/function/artifacts.sh"
     download_artifacts
     # Need to revert -euo as the rest of script is not optimized for this.
index d96e2d1..feced87 100644 (file)
@@ -61,6 +61,7 @@ else
     # Download the specific VPP build install packages
     DKMS_VERSION=$(< ${SCRIPT_DIR}/DPDK_STABLE_VER)
     VPP_VERSION=$(< ${SCRIPT_DIR}/VPP_STABLE_VER_${DISTRO})
+    CSIT_DIR=${SCRIPT_DIR}
     source "${SCRIPT_DIR}/resources/libraries/bash/function/artifacts.sh"
     download_artifacts
     # Need to revert -euo as the rest of script is not optimized for this.
index 015858b..d37f704 100755 (executable)
@@ -46,6 +46,7 @@ if [ "${#}" -ne "0" ]; then
 else
     DKMS_VERSION=$(< ${SCRIPT_DIR}/DPDK_STABLE_VER)
     VPP_VERSION=$(< ${SCRIPT_DIR}/VPP_STABLE_VER_${DISTRO})
+    CSIT_DIR=${SCRIPT_DIR}
     source "${SCRIPT_DIR}/resources/libraries/bash/function/artifacts.sh"
     download_artifacts
     # Need to revert -euo as the rest of script is not optimized for this.
index 07a04c4..5ead298 100644 (file)
@@ -18,6 +18,8 @@ set -exuo pipefail
 function download_artifacts () {
     # Get and/or install VPP artifacts from packagecloud.io.
     #
+    # Variables read:
+    # - CSIT_DIR - Path to existing root of local CSIT git repository.
     # Variables set:
     # - REPO_URL - FD.io Packagecloud repository.
 
@@ -27,7 +29,7 @@ function download_artifacts () {
         die "Get OS release failed."
     }
 
-    repo_url_path="./VPP_REPO_URL"
+    repo_url_path="${CSIT_DIR}/VPP_REPO_URL"
     if [ -e "${repo_url_path}" ]; then
         REPO_URL="$(<${repo_url_path})" || {
             die "Read repo URL from ${repo_url_path} failed."